View Issue Details

IDProjectCategoryView StatusLast Update
13395Bug reports[All Projects] Import/Exportpublic2018-03-28 12:14
ReportergrlAssigned Toc_schmitz 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version3.5.x 
Summary13395: queXML PDF export missing comments on "Multiple choice with comments"
Description

When exporting responses to queXML PDF the comments field for question type "multiple choice with comments" is missing.

Steps To Reproduce

Create a survey using the question type "Multiple choice with comments", start the survey, let someone complete it and view the results via "Display responses"/"View response details as queXML PDF". The multiple choice tick fields are there and filled correctly the comments are missing completely.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.4.0+180219
I will donate to the project if issue is resolvedNo
BrowserFirefox 52.6.0, Chrome 64.0.3282.167
Database & DB-VersionMariaDB 10.1.26
Server OS (if known)Debian Stretch
Webserver software & version (if known)Apache 2.4.25
PHP VersionPHP 7.0.27

Activities

adamzammit

adamzammit

2018-02-22 02:25

developer   ~46711

The multiple choice with comments type question is not currently supported with queXML PDF output. There isn't an equivalent type for the paper version at the moment.

grl

grl

2018-02-26 15:16

reporter   ~46753

Is there a chance to fix that? Or at least a hint on where to look at in the source?
To use LS for our purpose we need to print out the results filled in by the participants in way that looks more or less similar to the entry-mask. This was the only way we could find - but now there's some important information missing....

adamzammit

adamzammit

2018-02-27 04:29

developer   ~46764

there may be a work around - leave it with me for now and I will get back to you shortly.

adamzammit

adamzammit

2018-02-28 00:26

developer   ~46809

Hi again.

Can you please test this change and see if it works for you:

https://github.com/adamzammit/LimeSurvey/commit/09d6607256d5f43d6c3a522869714dd198ffdc57

Adam

grl

grl

2018-02-28 10:37

reporter   ~46814

Yes, this works! Thanks you!

Compared to the entry-fields in the survey the fields for the printed version are a bit big - but that is not a problem for us..

Thanks for the help!

c_schmitz

c_schmitz

2018-03-22 11:11

administrator   ~47179

@adamzammit
Can you push this one to our master as PR?
If you like I can also give direct write access?

adamzammit

adamzammit

2018-03-22 11:35

developer   ~47182

Hi @c_schmitz,

Yes the pull request is here: https://github.com/LimeSurvey/LimeSurvey/pull/1010

Adam

c_schmitz

c_schmitz

2018-03-22 11:47

administrator   ~47184

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26835

c_schmitz

c_schmitz

2018-03-28 12:14

administrator   ~47253

Version 3.6.0 released

Related Changesets

LimeSurvey: master 589a1d0a

2018-03-22 11:46:59

adamzammit


Committer: c_schmitz Details Diff
Fixed issue 13395: queXML PDF export missing comments on "Multiple choice with comments" (#1010) Affected Issues
13395
mod - application/helpers/export_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-02-21 12:34 grl New Issue
2018-02-21 12:39 c_schmitz Assigned To => adamzammit
2018-02-21 12:39 c_schmitz Status new => assigned
2018-02-22 02:25 adamzammit Note Added: 46711
2018-02-26 15:16 grl Note Added: 46753
2018-02-27 04:29 adamzammit Note Added: 46764
2018-02-28 00:26 adamzammit Note Added: 46809
2018-02-28 10:37 grl Note Added: 46814
2018-03-22 11:11 c_schmitz Note Added: 47179
2018-03-22 11:35 adamzammit Note Added: 47182
2018-03-22 11:47 c_schmitz Changeset attached => LimeSurvey master 589a1d0a
2018-03-22 11:47 c_schmitz Note Added: 47184
2018-03-22 11:47 c_schmitz Assigned To adamzammit => c_schmitz
2018-03-22 11:47 c_schmitz Resolution open => fixed
2018-03-22 11:47 c_schmitz Status assigned => resolved
2018-03-22 11:47 c_schmitz Fixed in Version => 3.5.x
2018-03-28 12:14 c_schmitz Note Added: 47253
2018-03-28 12:14 c_schmitz Status resolved => closed